LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInitialization Interface Referencepublished

initializes an object directly after its creation. More...

`import"XInitialization.idl";`

Inheritance diagram for XInitialization:

## Public Member Functions
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

initializes an object directly after its creation.

This interface works together with factories. If you want to initialize the object after creation, you should support this interface and you may support other interfaces which offer type-safe initialization methods.

Instead of calling XSingleComponentFactory::createInstanceWithContext() and later initialize(), you should call XSingleComponentFactory::createInstanceWithArgumentsAndContext() to pass the arguments to the instance. The reason is, that a component may want to return the same instance for the same set of parameters, and it can do so by implementing the factory itself.

Developers Guide
  Writing UNO Components - XInitialization
  Writing UNO Components - Core Interfaces to Implement

## Member Function Documentation

## ◆ initialize()

void initialize | ( | [in] sequence< any > | aArguments | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

initializes the object.

It should be called directly after the object is created.

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XInitialization.idl